/*
 * Generated by the Jasper component of Apache Tomcat
 * Version: Apache Tomcat/9.0.34
 * Generated at: 2020-05-20 15:49:24 UTC
 * Note: The last modified time of this file was set to
 *       the last modified time of the source file after
 *       generation to assist with modification tracking.
 */
package org.apache.jsp.WEB_002dINF;

import javax.servlet.*;
import javax.servlet.http.*;
import javax.servlet.jsp.*;

public final class premier_jsp extends org.apache.jasper.runtime.HttpJspBase
    implements org.apache.jasper.runtime.JspSourceDependent,
                 org.apache.jasper.runtime.JspSourceImports {

  private static final javax.servlet.jsp.JspFactory _jspxFactory =
          javax.servlet.jsp.JspFactory.getDefaultFactory();

  private static java.util.Map<java.lang.String,java.lang.Long> _jspx_dependants;

  static {
    _jspx_dependants = new java.util.HashMap<java.lang.String,java.lang.Long>(4);
    _jspx_dependants.put("/WEB-INF/menu.jsp", Long.valueOf(1589988043000L));
    _jspx_dependants.put("/WEB-INF/includeLibs.jsp", Long.valueOf(1589210057000L));
    _jspx_dependants.put("jar:file:/Users/ibrahimabdourahmane/projet-java-ee/.metadata/.plugins/org.eclipse.wst.server.core/tmp0/wtpwebapps/test/WEB-INF/lib/jstl-impl.jar!/META-INF/c.tld", Long.valueOf(1274179894000L));
    _jspx_dependants.put("/WEB-INF/lib/jstl-impl.jar", Long.valueOf(1589209370000L));
  }

  private static final java.util.Set<java.lang.String> _jspx_imports_packages;

  private static final java.util.Set<java.lang.String> _jspx_imports_classes;

  static {
    _jspx_imports_packages = new java.util.HashSet<>();
    _jspx_imports_packages.add("javax.servlet");
    _jspx_imports_packages.add("javax.servlet.http");
    _jspx_imports_packages.add("javax.servlet.jsp");
    _jspx_imports_classes = null;
  }

  private org.apache.jasper.runtime.TagHandlerPool _005fjspx_005ftagPool_005fc_005fset_0026_005fvar_005fvalue_005fscope_005fnobody;
  private org.apache.jasper.runtime.TagHandlerPool _005fjspx_005ftagPool_005fc_005fset_0026_005fvalue_005ftarget_005fproperty_005fnobody;
  private org.apache.jasper.runtime.TagHandlerPool _005fjspx_005ftagPool_005fc_005fout_0026_005fvalue_005fnobody;

  private volatile javax.el.ExpressionFactory _el_expressionfactory;
  private volatile org.apache.tomcat.InstanceManager _jsp_instancemanager;

  public java.util.Map<java.lang.String,java.lang.Long> getDependants() {
    return _jspx_dependants;
  }

  public java.util.Set<java.lang.String> getPackageImports() {
    return _jspx_imports_packages;
  }

  public java.util.Set<java.lang.String> getClassImports() {
    return _jspx_imports_classes;
  }

  public javax.el.ExpressionFactory _jsp_getExpressionFactory() {
    if (_el_expressionfactory == null) {
      synchronized (this) {
        if (_el_expressionfactory == null) {
          _el_expressionfactory = _jspxFactory.getJspApplicationContext(getServletConfig().getServletContext()).getExpressionFactory();
        }
      }
    }
    return _el_expressionfactory;
  }

  public org.apache.tomcat.InstanceManager _jsp_getInstanceManager() {
    if (_jsp_instancemanager == null) {
      synchronized (this) {
        if (_jsp_instancemanager == null) {
          _jsp_instancemanager = org.apache.jasper.runtime.InstanceManagerFactory.getInstanceManager(getServletConfig());
        }
      }
    }
    return _jsp_instancemanager;
  }

  public void _jspInit() {
    _005fjspx_005ftagPool_005fc_005fset_0026_005fvar_005fvalue_005fscope_005fnobody = org.apache.jasper.runtime.TagHandlerPool.getTagHandlerPool(getServletConfig());
    _005fjspx_005ftagPool_005fc_005fset_0026_005fvalue_005ftarget_005fproperty_005fnobody = org.apache.jasper.runtime.TagHandlerPool.getTagHandlerPool(getServletConfig());
    _005fjspx_005ftagPool_005fc_005fout_0026_005fvalue_005fnobody = org.apache.jasper.runtime.TagHandlerPool.getTagHandlerPool(getServletConfig());
  }

  public void _jspDestroy() {
    _005fjspx_005ftagPool_005fc_005fset_0026_005fvar_005fvalue_005fscope_005fnobody.release();
    _005fjspx_005ftagPool_005fc_005fset_0026_005fvalue_005ftarget_005fproperty_005fnobody.release();
    _005fjspx_005ftagPool_005fc_005fout_0026_005fvalue_005fnobody.release();
  }

  public void _jspService(final javax.servlet.http.HttpServletRequest request, final javax.servlet.http.HttpServletResponse response)
      throws java.io.IOException, javax.servlet.ServletException {

    if (!javax.servlet.DispatcherType.ERROR.equals(request.getDispatcherType())) {
      final java.lang.String _jspx_method = request.getMethod();
      if ("OPTIONS".equals(_jspx_method)) {
        response.setHeader("Allow","GET, HEAD, POST, OPTIONS");
        return;
      }
      if (!"GET".equals(_jspx_method) && !"POST".equals(_jspx_method) && !"HEAD".equals(_jspx_method)) {
        response.setHeader("Allow","GET, HEAD, POST, OPTIONS");
        response.sendError(HttpServletResponse.SC_METHOD_NOT_ALLOWED, "Les JSPs ne permettent que GET, POST ou HEAD. Jasper permet aussi OPTIONS");
        return;
      }
    }

    final javax.servlet.jsp.PageContext pageContext;
    javax.servlet.http.HttpSession session = null;
    final javax.servlet.ServletContext application;
    final javax.servlet.ServletConfig config;
    javax.servlet.jsp.JspWriter out = null;
    final java.lang.Object page = this;
    javax.servlet.jsp.JspWriter _jspx_out = null;
    javax.servlet.jsp.PageContext _jspx_page_context = null;


    try {
      response.setContentType("text/html; charset=UTF-8");
      pageContext = _jspxFactory.getPageContext(this, request, response,
      			null, true, 8192, true);
      _jspx_page_context = pageContext;
      application = pageContext.getServletContext();
      config = pageContext.getServletConfig();
      session = pageContext.getSession();
      out = pageContext.getOut();
      _jspx_out = out;

      out.write('\n');
      out.write("\n");
      out.write("<!DOCTYPE html>\n");
      out.write("<html>\n");
      out.write("<head>\n");
      out.write("<meta charset=\"UTF-8\">\n");
      out.write("<title>TEST IBRAHIM</title>\n");
      out.write("\n");
      out.write("<link rel=\"stylesheet\" href=\"style.css\">\n");
      out.write("</head>\n");
      out.write("<body class=\"body\">\n");
      out.write("<!-- Les directives -->\n");
      out.write("\n");
      out.write("<!--  <img alt=\"\" src=\"image/crativity.jpg\">-->\n");
      out.write("\n");
      out.write("<div class=\"topAceuil\">\n");
      out.write("    <ul>\n");
      out.write("    \t<li><a href=\"/test/acceuil\">GéoNiger acceuil</a> </li>\n");
      out.write("    \t<li><a href=\"/test/gastronomie\">Gastronomie à Tillabary</a> </li>\n");
      out.write("    \t<li><a href=\"/test/showTest\">GéoNiger test</a> </li>\n");
      out.write("    \t<li><a href=\"/test/cours\">Guide proffessionel et académique</a> </li>\n");
      out.write("    \t<li><a href=\"/test/links\">Liens utils</a> </li>\n");
      out.write("    \t<li><a href=\"https://www.youtube.com/watch?v=tIlG6BsSFLA&list=PLepmdz3mDsCpOcLtmn3r8UKfsjGSeDmma&index=12\">Support</a> </li>\n");
      out.write("    \t\n");
      out.write("    </ul>\n");
      out.write("</div>");
      out.write("\n");
      out.write("\n");
      out.write("<div class=\"mainPage\">\n");
      out.write("\t<h1 class=\"bienVenu\"> Bien venu sur ma page de test et de code </h1>\n");
      out.write("\t<p>\n");
      out.write("\t");

	String var = (String)request.getAttribute("var");
	out.print(var);
	
      out.write("\n");
      out.write("\t\n");
      out.write("\t</p>\n");
      out.write("\t<br>\n");
      out.write("\t<p> On recupère ces variables depuis l'Url :\n");
      out.write("\t");
      if (_jspx_meth_c_005fset_005f0(_jspx_page_context))
        return;
      out.write('\n');
      out.write('	');
      if (_jspx_meth_c_005fset_005f1(_jspx_page_context))
        return;
      out.write("\n");
      out.write("\t\n");
      out.write("\t<ul>\n");
      out.write("\t\t<li>On utilise Expression langage pour ne pas trop utiliser du code java dans le JSP : ");
      out.write((java.lang.String) org.apache.jasper.runtime.PageContextImpl.proprietaryEvaluate("${empty town? \"Pas de ville\": town}", java.lang.String.class, (javax.servlet.jsp.PageContext)_jspx_page_context, null));
      out.write("</li>\n");
      out.write("\t\t<li>On peut récuperer les valeurs d'une liste : ");
      out.write((java.lang.String) org.apache.jasper.runtime.PageContextImpl.proprietaryEvaluate("${ names[0]}", java.lang.String.class, (javax.servlet.jsp.PageContext)_jspx_page_context, null));
      out.write("</li>\n");
      out.write("\t\t<li>On peut acceder à tous les champs definis dans un object bean : ");
      out.write((java.lang.String) org.apache.jasper.runtime.PageContextImpl.proprietaryEvaluate("${ ville.status}", java.lang.String.class, (javax.servlet.jsp.PageContext)_jspx_page_context, null));
      out.write(' ');
      out.write((java.lang.String) org.apache.jasper.runtime.PageContextImpl.proprietaryEvaluate("${ ville.name}", java.lang.String.class, (javax.servlet.jsp.PageContext)_jspx_page_context, null));
      out.write(' ');
      out.write((java.lang.String) org.apache.jasper.runtime.PageContextImpl.proprietaryEvaluate("${ ville.ethnie}", java.lang.String.class, (javax.servlet.jsp.PageContext)_jspx_page_context, null));
      out.write("</li>\n");
      out.write("\t\t<li>On peut aussi utiliser du JSTL, pour ne plus mélanger du code java et HTML : ");
      if (_jspx_meth_c_005fout_005f0(_jspx_page_context))
        return;
      out.write("</li>\n");
      out.write("\t\t<li>Definir des var en JSTL : ");
      if (_jspx_meth_c_005fout_005f1(_jspx_page_context))
        return;
      out.write("</li>\n");
      out.write("\t\t<li>On peut aussi modifier un objetct bean via JSTL :target, remove ...ect ");
      if (_jspx_meth_c_005fout_005f2(_jspx_page_context))
        return;
      out.write("</li>\n");
      out.write("\t\t<li>Des conditions : a revoir</li>\n");
      out.write("\t\t<li>Apprendre java 8 : <a href=\"https://howtodoinjava.com/java8/java-streams-by-examples/\"> Cours java 8</a></li>\n");
      out.write("\t\t<li>Apprendre TypeScript en vidéo : <a href=\"https://www.youtube.com/watch?v=1ffTqq6pJR8&list=PLxhnp_qsD8EOjadg0gWeorq8n3fYJuhrA&index=6\">Développer avec Angular</a> </li>\n");
      out.write("\t\t<li>Apprendre à configurer un server Apache : <a href=\"https://www.youtube.com/watch?v=arVwa7jvp5M&list=PLjwdMgw5TTLUnvhOKLcpCG8ORQsfE7uB4&index=7\">Voir la serie des vidéos</a> </li>\t\n");
      out.write("\t\t<li>Deployer une page web statique avec netlify : <a href=\"https://www.youtube.com/watch?v=EGiomjuOwM8\">Voir la vidéo</a> </li>\n");
      out.write("\t\t<li>Heberger son site en ligne : <a href=\"https://www.youtube.com/watch?v=dEQ8--CqKXE\">Régarder la vidéo</a> </li>\n");
      out.write("\t\t<li>Arrêter d'utiliser des boucle en Java, en utilisant que des Streams et des Collection : <a href=\"https://opensource.com/article/20/5/functional-java\">Lire l'article</a> </li>\n");
      out.write("\t</ul>\n");
      out.write("\t<br>\n");
      out.write("\t<h2>Resource pour investir au pays</h2>\n");
      out.write("\t<br>\n");
      out.write("\t<ul>\n");
      out.write("\t\t<li>Elevage de poulets consideré comme étant le meilleur businesse à faire en Afrique : <a href=\"https://www.facebook.com/investiraupays/videos/3293407520884344/\"> Voilà la preuve en vidéo ! </a> </li>\n");
      out.write("\t</ul>\n");
      out.write("\t\n");
      out.write("\t<h2>Investir au pays : Débat avec la famille</h2>\n");
      out.write("\t<ul>\n");
      out.write("\t\t<li>Stabilisation de nos sources de revenues : </li>\n");
      out.write("\t</ul>\n");
      out.write("\t<br>\n");
      out.write("\t<h2>Les meilleurs pages des africains qui font éveiller la consience des Noirs</h2>\n");
      out.write("\t<ul>\n");
      out.write("\t\t<li>Batir de ta consience : <a href=\"https://www.facebook.com/ZackmwekassaMotivation\">Zack Mwekassa</a> </li>\n");
      out.write("\t\t<li>Batir l'Afrique et faire grandir l'afrique : <a href=\"https://www.facebook.com/KemiSebaOfficial\">Kemi Seba</a></li>\n");
      out.write("\t\t<li>Investir en Afrique : <a href=\"https://www.facebook.com/investiraupays\">Aller à la page</a> </li>\n");
      out.write("\t</ul>\n");
      out.write("\t<br>\n");
      out.write("\t<h2>Devenir entrepreneur sur Internet : 3 Businesses en ligne</h2>\n");
      out.write("\t<ul>\n");
      out.write("\t\t<li> Création des pages webs, e-commerce via Amazon ..ect contact@startup-muslim.f: <a href=\"https://app.getresponse.com/click.html?x=a62b&lc=BoXDhK&mc=VA&s=BE87W1X&u=SZAet&z=EE9v9un&\">Régarder la vidéo</a> </li>\n");
      out.write("\t\t<ul>\n");
      out.write("\t\t\t<li>Businesse N° 1 : E-Commerce</li>\n");
      out.write("\t\t\t<br>\n");
      out.write("\t\t\t<img alt=\"\" src=\"image/amazone.png\" width=\"500\">\n");
      out.write("\t\t\t<br>\n");
      out.write("\t\t\t<li>Businesse N° 2 : Agence marketing digital</li>\n");
      out.write("\t\t\t<br>\n");
      out.write("\t\t\t<img alt=\"\" src=\"image/ecommerce.png\" width=\"500\">\n");
      out.write("\t\t\t<br>\n");
      out.write("\t\t\t<h5>En résumer : </h5>\n");
      out.write("\t\t\t<img alt=\"\" src=\"image/recap.png\" width=\"500\">\n");
      out.write("\t\t\t<br>\n");
      out.write("\t\t\t<li>Businesse N° 3 : Vivre de votre activité tout en aidant les autres</li>\n");
      out.write("\t\t\t<br>\n");
      out.write("\t\t\t<img alt=\"\" src=\"image/aider.png\" width=\"500\">\n");
      out.write("\t\t</ul>\n");
      out.write("\t</ul>\n");
      out.write("\t");

	String name = (String)request.getAttribute("name");
	out.println(name);
	
	
      out.write("\n");
      out.write("\t</p>\n");
      out.write("</div>\n");
      out.write("<div class=\"gaucheP\">\n");
      out.write("</div>\n");
      out.write("<div class=\"droiteP\">\n");
      out.write("</div>\n");
      out.write("</body>\n");
      out.write("</html>\n");
    } catch (java.lang.Throwable t) {
      if (!(t instanceof javax.servlet.jsp.SkipPageException)){
        out = _jspx_out;
        if (out != null && out.getBufferSize() != 0)
          try {
            if (response.isCommitted()) {
              out.flush();
            } else {
              out.clearBuffer();
            }
          } catch (java.io.IOException e) {}
        if (_jspx_page_context != null) _jspx_page_context.handlePageException(t);
        else throw new ServletException(t);
      }
    } finally {
      _jspxFactory.releasePageContext(_jspx_page_context);
    }
  }

  private boolean _jspx_meth_c_005fset_005f0(javax.servlet.jsp.PageContext _jspx_page_context)
          throws java.lang.Throwable {
    javax.servlet.jsp.PageContext pageContext = _jspx_page_context;
    javax.servlet.jsp.JspWriter out = _jspx_page_context.getOut();
    //  c:set
    org.apache.taglibs.standard.tag.rt.core.SetTag _jspx_th_c_005fset_005f0 = (org.apache.taglibs.standard.tag.rt.core.SetTag) _005fjspx_005ftagPool_005fc_005fset_0026_005fvar_005fvalue_005fscope_005fnobody.get(org.apache.taglibs.standard.tag.rt.core.SetTag.class);
    boolean _jspx_th_c_005fset_005f0_reused = false;
    try {
      _jspx_th_c_005fset_005f0.setPageContext(_jspx_page_context);
      _jspx_th_c_005fset_005f0.setParent(null);
      // /WEB-INF/premier.jsp(27,1) name = var type = java.lang.String reqTime = false required = false fragment = false deferredValue = false expectedTypeName = null deferredMethod = false methodSignature = null
      _jspx_th_c_005fset_005f0.setVar("toto");
      // /WEB-INF/premier.jsp(27,1) name = value type = javax.el.ValueExpression reqTime = true required = false fragment = false deferredValue = true expectedTypeName = java.lang.Object deferredMethod = false methodSignature = null
      _jspx_th_c_005fset_005f0.setValue(new org.apache.jasper.el.JspValueExpression("/WEB-INF/premier.jsp(27,1) 'On fait un set avec sa porté: page, session, request'",_jsp_getExpressionFactory().createValueExpression("On fait un set avec sa porté: page, session, request",java.lang.Object.class)).getValue(_jspx_page_context.getELContext()));
      // /WEB-INF/premier.jsp(27,1) name = scope type = java.lang.String reqTime = false required = false fragment = false deferredValue = false expectedTypeName = null deferredMethod = false methodSignature = null
      _jspx_th_c_005fset_005f0.setScope("page");
      int _jspx_eval_c_005fset_005f0 = _jspx_th_c_005fset_005f0.doStartTag();
      if (_jspx_th_c_005fset_005f0.doEndTag() == javax.servlet.jsp.tagext.Tag.SKIP_PAGE) {
        return true;
      }
      _005fjspx_005ftagPool_005fc_005fset_0026_005fvar_005fvalue_005fscope_005fnobody.reuse(_jspx_th_c_005fset_005f0);
      _jspx_th_c_005fset_005f0_reused = true;
    } finally {
      org.apache.jasper.runtime.JspRuntimeLibrary.releaseTag(_jspx_th_c_005fset_005f0, _jsp_getInstanceManager(), _jspx_th_c_005fset_005f0_reused);
    }
    return false;
  }

  private boolean _jspx_meth_c_005fset_005f1(javax.servlet.jsp.PageContext _jspx_page_context)
          throws java.lang.Throwable {
    javax.servlet.jsp.PageContext pageContext = _jspx_page_context;
    javax.servlet.jsp.JspWriter out = _jspx_page_context.getOut();
    //  c:set
    org.apache.taglibs.standard.tag.rt.core.SetTag _jspx_th_c_005fset_005f1 = (org.apache.taglibs.standard.tag.rt.core.SetTag) _005fjspx_005ftagPool_005fc_005fset_0026_005fvalue_005ftarget_005fproperty_005fnobody.get(org.apache.taglibs.standard.tag.rt.core.SetTag.class);
    boolean _jspx_th_c_005fset_005f1_reused = false;
    try {
      _jspx_th_c_005fset_005f1.setPageContext(_jspx_page_context);
      _jspx_th_c_005fset_005f1.setParent(null);
      // /WEB-INF/premier.jsp(28,1) name = target type = null reqTime = true required = false fragment = false deferredValue = false expectedTypeName = null deferredMethod = false methodSignature = null
      _jspx_th_c_005fset_005f1.setTarget((java.lang.Object) org.apache.jasper.runtime.PageContextImpl.proprietaryEvaluate("${ville}", java.lang.Object.class, (javax.servlet.jsp.PageContext)_jspx_page_context, null));
      // /WEB-INF/premier.jsp(28,1) name = property type = null reqTime = true required = false fragment = false deferredValue = false expectedTypeName = null deferredMethod = false methodSignature = null
      _jspx_th_c_005fset_005f1.setProperty("name");
      // /WEB-INF/premier.jsp(28,1) name = value type = javax.el.ValueExpression reqTime = true required = false fragment = false deferredValue = true expectedTypeName = java.lang.Object deferredMethod = false methodSignature = null
      _jspx_th_c_005fset_005f1.setValue(new org.apache.jasper.el.JspValueExpression("/WEB-INF/premier.jsp(28,1) 'Zarma'",_jsp_getExpressionFactory().createValueExpression("Zarma",java.lang.Object.class)).getValue(_jspx_page_context.getELContext()));
      int _jspx_eval_c_005fset_005f1 = _jspx_th_c_005fset_005f1.doStartTag();
      if (_jspx_th_c_005fset_005f1.doEndTag() == javax.servlet.jsp.tagext.Tag.SKIP_PAGE) {
        return true;
      }
      _005fjspx_005ftagPool_005fc_005fset_0026_005fvalue_005ftarget_005fproperty_005fnobody.reuse(_jspx_th_c_005fset_005f1);
      _jspx_th_c_005fset_005f1_reused = true;
    } finally {
      org.apache.jasper.runtime.JspRuntimeLibrary.releaseTag(_jspx_th_c_005fset_005f1, _jsp_getInstanceManager(), _jspx_th_c_005fset_005f1_reused);
    }
    return false;
  }

  private boolean _jspx_meth_c_005fout_005f0(javax.servlet.jsp.PageContext _jspx_page_context)
          throws java.lang.Throwable {
    javax.servlet.jsp.PageContext pageContext = _jspx_page_context;
    javax.servlet.jsp.JspWriter out = _jspx_page_context.getOut();
    //  c:out
    org.apache.taglibs.standard.tag.rt.core.OutTag _jspx_th_c_005fout_005f0 = (org.apache.taglibs.standard.tag.rt.core.OutTag) _005fjspx_005ftagPool_005fc_005fout_0026_005fvalue_005fnobody.get(org.apache.taglibs.standard.tag.rt.core.OutTag.class);
    boolean _jspx_th_c_005fout_005f0_reused = false;
    try {
      _jspx_th_c_005fout_005f0.setPageContext(_jspx_page_context);
      _jspx_th_c_005fout_005f0.setParent(null);
      // /WEB-INF/premier.jsp(34,83) name = value type = null reqTime = true required = true fragment = false deferredValue = false expectedTypeName = null deferredMethod = false methodSignature = null
      _jspx_th_c_005fout_005f0.setValue("C'est du JSTL");
      int _jspx_eval_c_005fout_005f0 = _jspx_th_c_005fout_005f0.doStartTag();
      if (_jspx_th_c_005fout_005f0.doEndTag() == javax.servlet.jsp.tagext.Tag.SKIP_PAGE) {
        return true;
      }
      _005fjspx_005ftagPool_005fc_005fout_0026_005fvalue_005fnobody.reuse(_jspx_th_c_005fout_005f0);
      _jspx_th_c_005fout_005f0_reused = true;
    } finally {
      org.apache.jasper.runtime.JspRuntimeLibrary.releaseTag(_jspx_th_c_005fout_005f0, _jsp_getInstanceManager(), _jspx_th_c_005fout_005f0_reused);
    }
    return false;
  }

  private boolean _jspx_meth_c_005fout_005f1(javax.servlet.jsp.PageContext _jspx_page_context)
          throws java.lang.Throwable {
    javax.servlet.jsp.PageContext pageContext = _jspx_page_context;
    javax.servlet.jsp.JspWriter out = _jspx_page_context.getOut();
    //  c:out
    org.apache.taglibs.standard.tag.rt.core.OutTag _jspx_th_c_005fout_005f1 = (org.apache.taglibs.standard.tag.rt.core.OutTag) _005fjspx_005ftagPool_005fc_005fout_0026_005fvalue_005fnobody.get(org.apache.taglibs.standard.tag.rt.core.OutTag.class);
    boolean _jspx_th_c_005fout_005f1_reused = false;
    try {
      _jspx_th_c_005fout_005f1.setPageContext(_jspx_page_context);
      _jspx_th_c_005fout_005f1.setParent(null);
      // /WEB-INF/premier.jsp(35,32) name = value type = null reqTime = true required = true fragment = false deferredValue = false expectedTypeName = null deferredMethod = false methodSignature = null
      _jspx_th_c_005fout_005f1.setValue((java.lang.Object) org.apache.jasper.runtime.PageContextImpl.proprietaryEvaluate("${toto}", java.lang.Object.class, (javax.servlet.jsp.PageContext)_jspx_page_context, null));
      int _jspx_eval_c_005fout_005f1 = _jspx_th_c_005fout_005f1.doStartTag();
      if (_jspx_th_c_005fout_005f1.doEndTag() == javax.servlet.jsp.tagext.Tag.SKIP_PAGE) {
        return true;
      }
      _005fjspx_005ftagPool_005fc_005fout_0026_005fvalue_005fnobody.reuse(_jspx_th_c_005fout_005f1);
      _jspx_th_c_005fout_005f1_reused = true;
    } finally {
      org.apache.jasper.runtime.JspRuntimeLibrary.releaseTag(_jspx_th_c_005fout_005f1, _jsp_getInstanceManager(), _jspx_th_c_005fout_005f1_reused);
    }
    return false;
  }

  private boolean _jspx_meth_c_005fout_005f2(javax.servlet.jsp.PageContext _jspx_page_context)
          throws java.lang.Throwable {
    javax.servlet.jsp.PageContext pageContext = _jspx_page_context;
    javax.servlet.jsp.JspWriter out = _jspx_page_context.getOut();
    //  c:out
    org.apache.taglibs.standard.tag.rt.core.OutTag _jspx_th_c_005fout_005f2 = (org.apache.taglibs.standard.tag.rt.core.OutTag) _005fjspx_005ftagPool_005fc_005fout_0026_005fvalue_005fnobody.get(org.apache.taglibs.standard.tag.rt.core.OutTag.class);
    boolean _jspx_th_c_005fout_005f2_reused = false;
    try {
      _jspx_th_c_005fout_005f2.setPageContext(_jspx_page_context);
      _jspx_th_c_005fout_005f2.setParent(null);
      // /WEB-INF/premier.jsp(36,77) name = value type = null reqTime = true required = true fragment = false deferredValue = false expectedTypeName = null deferredMethod = false methodSignature = null
      _jspx_th_c_005fout_005f2.setValue((java.lang.Object) org.apache.jasper.runtime.PageContextImpl.proprietaryEvaluate("${ville.name}", java.lang.Object.class, (javax.servlet.jsp.PageContext)_jspx_page_context, null));
      int _jspx_eval_c_005fout_005f2 = _jspx_th_c_005fout_005f2.doStartTag();
      if (_jspx_th_c_005fout_005f2.doEndTag() == javax.servlet.jsp.tagext.Tag.SKIP_PAGE) {
        return true;
      }
      _005fjspx_005ftagPool_005fc_005fout_0026_005fvalue_005fnobody.reuse(_jspx_th_c_005fout_005f2);
      _jspx_th_c_005fout_005f2_reused = true;
    } finally {
      org.apache.jasper.runtime.JspRuntimeLibrary.releaseTag(_jspx_th_c_005fout_005f2, _jsp_getInstanceManager(), _jspx_th_c_005fout_005f2_reused);
    }
    return false;
  }
}
